### Method

# Fwupd Client set_sync_impl

since: 2.1.7

#### Declaration [src]

    void
    fwupd_client_set_sync_impl (
      FwupdClient* self,
      const FwupdClientSyncImpl* impl,
      gpointer userdata,
      GDestroyNotify userdata_destroy
    )

#### Description [src]

Sets an override for synchronous client functionality.

Available since: 2.1.7

#### Parameters

`impl`

  Type: `FwupdClientSyncImpl`

  A `FwupdClientSyncImpl`.

  The data is owned by the caller of the method.

`userdata`

  Type: `gpointer`

  Userdata to use with the `FwupdClientSyncImpl`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`userdata_destroy`

  Type: `GDestroyNotify`

  Function to destroy `user_data` when `self` is finalized.

  The argument can be `NULL`.